----------------------------------------------------------------------------------
-- Create Date:    14:36:13 04/22/2011 
-- Module Name:    Taktteiler - Behavioral 
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Taktteiler is
 port(GCLK0: in std_logic;
      LD0, LD1, LD2, LD3, LD4, LD5, LD6, LD7: out std_Logic);
end Taktteiler;

architecture Behavioral of Taktteiler is
 signal z: std_logic_vector(31 downto 0);
begin
 process(GCLK0)
 begin
  if rising_edge(GCLK0) then
   z <= z + 1;
  end if;
 end process;
 
 LD0 <= z(24);
 LD1 <= z(25);
 LD2 <= z(26);
 LD3 <= z(27);
 LD4 <= z(28);
 LD5 <= z(29);
 LD6 <= z(30);
 LD7 <= z(31);

end Behavioral;

